﻿# -*- coding: utf-8 -*-
import direct.directbase.DirectStart

# Загружаем текстуры для куба, черная и белая
black = loader.loadTexture('black.png')
white = loader.loadTexture('white.png')

# Черный бокс
box_black = loader.loadModel('box.egg')
box_black.reparentTo(render)
box_black.setScale(10.5) # Черный бокс будет меньше белого.
box_black.setTexture(black, 1)

# Фикс для черного, который в нутри белого.
box_black.setBin('background', 1)   
box_black.setDepthWrite(False)

# Белый бокс
box_white = loader.loadModel('box.egg')
box_white.reparentTo(render)
box_white.setScale(11) # Белый бокс будет больше черного.
box_white.setTexture(white, 1)

base.run()